English French German Spanish Russian
Ryzom FV 2.1.0.6447 fails to start - Mutual GNU / Linux - Ryzom Community ForumHomeGuest

Mutual GNU / Linux


uiWebPrevious123uiWebNext

#16 [en] 

I got the new downloaded client working by:

rubiksmomo@echo:~/.ryzom/data$ cp -R ~/.ryzom/data ~/ryzom_clients_linux_2.1.0.6475/
rubiksmomo@echo:~/.ryzom/data$ cp ~/ryzom_clients_linux_2.1.0.6475/client_default.cfg ~/.ryzom/
rubiksmomo@echo:~/.ryzom/data$ ~/ryzom_clients_linux_2.1.0.6475/ryzom_client_amd64

There are some difficulties with the original client:
rubiksmomo@echo:~/.ryzom$ cd /opt/ryzom
rubiksmomo@echo:/opt/ryzom$ ./ryzom_client
Can't open log file 'log.log': Permission denied
Can't open log file 'client.log': Permission denied
ERR 9b0f37c0 client_cfg.cpp 1916 init <Unknown> : CFG::init: Can't create config file 'client.cfg'

I guess I'll just use the new client

Last edited by Rubiksmomo (4 years ago) | Reason: No luck with original client

---

I don't want to be the one
The battles always choose
'Cause inside I realize
That I'm the one confused

#17 [en] 

Karu is right :)

In fact, client does some tests to know where to search "data" directory :)

If you have a client_default.cfg in the current directory, it'll use "data" directory from your current directory else it'll use ~/.ryzom/data

Some examples :

* You're in ~ (your home directory), you launch /opt/ryzom/ryzom.sh, it'll use client_default.cfg from /opt/ryzom and load data from ~/.ryzom/data, if they don't exist they'll be downloaded and patched

* You're in ~ (your home directory), you launch /opt/ryzom/ryzom_client, it'll use client_default.cfg from /opt/ryzom and load data from ~/.ryzom/data, if they don't exist, you'll get an error because there is no data available and it's unable to find them :p

* You're in "~/Ryzom" directory and you have your ryzom_client there with client_default.cfg and a "data" directory, it'll launch Ryzom from there and use all files in the directory

---

Kervala - Ryzom volunteer developer - Working on different clients

#18 [en] 

Rubiksmomo
I got the new downloaded client working by:

rubiksmomo@echo:~/.ryzom/data$ cp -R ~/.ryzom/data ~/ryzom_clients_linux_2.1.0.6475/
rubiksmomo@echo:~/.ryzom/data$ cp ~/ryzom_clients_linux_2.1.0.6475/client_default.cfg ~/.ryzom/
rubiksmomo@echo:~/.ryzom/data$ ~/ryzom_clients_linux_2.1.0.6475/ryzom_client_amd64

There are some difficulties with the original client:
rubiksmomo@echo:~/.ryzom$ cd /opt/ryzom
rubiksmomo@echo:/opt/ryzom$ ./ryzom_client
Can't open log file 'log.log': Permission denied
Can't open log file 'client.log': Permission denied
ERR 9b0f37c0 client_cfg.cpp 1916 init <Unknown> : CFG::init: Can't create config file 'client.cfg'

I guess I'll just use the new client

That's normal :)

Ryzom files in /opt/ryzom are installed in root because they shouldn't be modified by users. You only can modify files in ~/.ryzom

You should never go to /opt/ryzom and launch client from there :)

---

Kervala - Ryzom volunteer developer - Working on different clients

#19 [en] 

I'll use the new client I downloaded and got working. Thanks for all the help!

---

I don't want to be the one
The battles always choose
'Cause inside I realize
That I'm the one confused

#20 [en] 

Cool, you're welcome :)

---

Kervala - Ryzom volunteer developer - Working on different clients

#21 [en] 

When can we expect the fixed version to land in the PPA? On Ubuntu 14.04, the non-working version 6447 is the latest version and I'm having the same problem: it quits after the 'splash screen'. When I try to launch the .sh, it exits without error message. In fact, it even closes the terminal window. When I start the client itself I do get an error message:
arumes@RMS-DESK:~$ /opt/ryzom/ryzom_client
PANIC: unprotected error in call to Lua API (attempt to index a nil value)
arumes@RMS-DESK:~$

#22 [en] 

Hum, your error is very strange, I'll try to test it tomorrow.

gamedev.bnp from RSYNC should support Lua 5.2 and 5.3, Ubuntu client is compiled against Lua 5.2.

---

Kervala - Ryzom volunteer developer - Working on different clients

#23 [en] 

I just tried client from PPA under Ubuntu 15.10 and it worked fine.

I'll try client under Ubuntu 14.04 on my laptop.

---

Kervala - Ryzom volunteer developer - Working on different clients

#24 [en] 

I just tested the 2.1.0.6447-0ubuntu1~trusty1 under Ubuntu 14.04 LTS and it worked perfectly.

Only thing I noticed is that FXAA is enabled by default and you can't switch off in game config :(

If it's slowing down your game, you can disable it adding :

FXAA = 0;

In your ~./ryzom/client.cfg

Last edited by Xiombarg (4 years ago)

---

Kervala - Ryzom volunteer developer - Working on different clients

#25 [en] 

It's not working at all. I tried disabling FXAA anyway, but wasn't expecting anything because Ryzom quits before showing the login screen (before showing any 3D).
Any other ideas? It worked fine until yesterday, when I got the update through the regular Update Manager.

I also tried an uninstall, removed the .ryzom dir, and reinstalled. Still no luck.

Last edited by Sennuri (4 years ago)

#26 [en] 

What graphics driver are you using ?

How do you launch the game ?

There should be only 2 ways to launch Ryzom Ubuntu clients :

1. click on Ryzom icon in Unity
2. open a terminal and type : /opt/ryzom/ryzom.sh

All others ways to launch client should be prohibited until you know what you do.

If no way is working, you could have corrupted files, so you should move these files in a backup directory :

1. ~/.ryzom/client.cfg
2. ~/.ryzom/user
3. ~/.ryzom/save

All files in data will be checked by RSYNC and downloaded if modified.

If you modified /opt/ryzom/ryzom_client, I suggest you to reinstall the package because new static clients are in beta test and are not compatible with ones in PPA :)

---

Kervala - Ryzom volunteer developer - Working on different clients

#27 [en] 

I'm using an AMD HD5450 with Catalyst drivers (fglrx 15.200). But if this is a driver issue, remember that the game worked perfectly before this update. And the video driver did NOT get an update recently, so it's the game that stopped working, not the driver.

Icon: splash screen shows, then quits, no error message.
Script: quits without error message, but somehow closes the terminal window completely.

I do not have corrupted files, I just told you I deleted the ryzom folder. I also just told you I already reinstalled the game without succes, so I did not try a modified client.

Sorry if I seem a bit edgy, but to me it seems as if you don't pay much attention to what I write. Just as in your previous message about FXAA slowing down my game, while you know I can't start the game at all right now.

#28 [en] 

Sennuri
Icon: splash screen shows, then quits, no error message.
Script: quits without error message, but somehow closes the terminal window completely.

Delete ~/.ryzom/log.log file, run client and then post content of that file to http://pastebin.com/

It's would also help if you could run ryzom from terminal to see if it outputs any messages.

If it's 'PANIC: unprotected error in call to Lua API (attempt to index a nil value)', then you need new client

---

Hello!

#29 [en] 

I posted the log here, easier for me than pastebin.
And the error msg you posted is exactly what I get, the same as I posted yesterday.

What do you mean by new client? A reinstall of version 6447 didn't solve the problem. Do I need a newer version?

#30 [en] 

Sennuri
I posted the log here, easier for me than pastebin.
And the error msg you posted is exactly what I get, the same as I posted yesterday.

Thats strange. You have Ubuntu trusty (14.04) fully updated, you using ryzom-isv ppa (version 2.1.0.6447-0ubuntu1~trusty1 amd64)... and it does not work.

I see that you running /opt/ryzom/ryzom_client directly. Have you tried running /opt/ryzom/ryzom.sh to make sure ryzom files are updated?

Last edited by Karu (4 years ago)

---

Hello!
uiWebPrevious123uiWebNext
 
Last visit Wed Sep 18 22:13:23 2019 UTC
P_:

powered by ryzom-api